Primitive {base} | R Documentation

## Look Up a Primitive Function

### Description

`.Primitive` looks up by name a ‘primitive’ (internally implemented) function.

### Usage

    .Primitive(name)

### Arguments

`name` | name of the R function.

### Details

The advantage of `.Primitive` over `.Internal` functions is the potential efficiency of argument passing, and that positional matching can be used where desirable, e.g. in `switch`. For more details, see the ‘R Internals Manual’.

All primitive functions are in the base namespace.

This function is almost never used: ``name`` or, more carefully, `get(name, envir=baseenv())` work equally well and do not depend on knowing which functions are primitive (which does change as R evolves).

### Note

Prior to R 2.14.2 this could also be used to retrieve `.Internal` functions: this was unintentional.

### See Also

`.Internal`.

### Examples

    mysqrt <- .Primitive("sqrt")
    c
    .Internal # this one *must* be primitive!
    `if` # need backticks

[Package base version 2.15.1 Index]